UI::Util::Http::URL Class Reference

HTTP URL parser. More...

`#include <URL.hpp>`

Collaboration diagram for UI::Util::Http::URL:

## Public Member Functions

| URL (std::string const &url)
URL & | addParam (std::string const &key, std::string const &value)
| Add param to query part (auto-adds query part if not already added)
Get original url string, host, port and path.

Note
  Path includes the optional "query" and is prepared to be used as request URI.

std::string const & | getHost () const
unsigned int const & | getPort () const
std::string const & | getPath () const
std::string const | getURL () const

## Detailed Description

HTTP URL parser.

See also
  RFC 2616, 3.2.2.

The documentation for this class was generated from the following files:

- URL.hpp
- URL.cpp